Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.pingback.event
Class PingbackEvent

    java.lang.Object
      org.blojsom.event.Event
          org.blojsom.plugin.admin.event.EntryEvent
              org.blojsom.plugin.pingback.event.PingbackEvent

Direct Known Subclasses:
  PingbackAddedEvent, PingbackApprovedEvent, PingbackDeletedEvent, PingbackMarkedSpamEvent, PingbackUnapprovedEvent, PingbackUnmarkedSpamEvent

public class PingbackEvent
extends EntryEvent

Pingback event

Since:
  blojsom 3.0
Version:
  $Id: PingbackEvent.java,v 1.1 2006/03/20 21:30:57 czarneckid Exp $
Author:
  David Czarnecki

Field Summary
`protected Pingback` | `_pingback`

Fields inherited from class org.blojsom.plugin.admin.event.EntryEvent
`_blog, _entry`

Fields inherited from class org.blojsom.event.Event
`_eventHandled, _source, _timestamp`

Constructor Summary
`PingbackEvent(java.lang.Object source, java.util.Date timestamp, Pingback pingback, Blog blog)` Create a new event indicating something happened with a `Pingback` in the system.

Method Summary
`Pingback` | `getPingback()` Retrieve the `Pingback` associated with the event

Methods inherited from class org.blojsom.plugin.admin.event.EntryEvent
`getBlog, getEntry`

Methods inherited from class org.blojsom.event.Event
`getSource, getTimestamp, isEventHandled, setEventHandled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _pingback

    protected Pingback _pingback

Constructor Detail

### PingbackEvent

    public PingbackEvent(java.lang.Object source,
                         java.util.Date timestamp,
                         Pingback pingback,
                         Blog blog)

  Create a new event indicating something happened with a `Pingback` in the system.

Parameters:
  `source` - Source of the event
  `timestamp` - Event timestamp
  `blog` - `Blog`

Method Detail

### getPingback

    public Pingback getPingback()

  Retrieve the `Pingback` associated with the event

  Returns:
    `Pingback`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD